Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 922107 - app-admin/cdist-7.0.0 installs deprecated .egg/.egg-info (GCC-14-SYSTEM)
Summary: app-admin/cdist-7.0.0 installs deprecated .egg/.egg-info (GCC-14-SYSTEM)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 921639
  Show dependency tree
 
Reported: 2024-01-14 13:18 UTC by Agostino Sarubbo
Modified: 2024-07-06 19:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.xz (build.log.xz,43.48 KB, application/x-xz)
2024-01-14 13:18 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-01-14 13:18:21 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-admin/cdist-7.0.0 installs deprecated .egg/.egg-info (GCC-14-SYSTEM).
Discovered on: amd64 (internal ref: gcc14_tinderbox)

NOTE:
(GCC-14-SYSTEM) in the summary means that the bug was found on a machine that runs gcc-14 but this bug MAY or MAY NOT BE related to the new compiler
Comment 1 Agostino Sarubbo gentoo-dev 2024-01-14 13:18:23 UTC
Created attachment 882264 [details]
build.log.xz

build log and emerge --info (compressed because it exceeds attachment limit, use 'xzless' to read it)
Comment 2 Larry the Git Cow gentoo-dev 2024-07-06 19:27:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=405d98dbd6ac26574e8f73e390e23b1ec3d85d6a

commit 405d98dbd6ac26574e8f73e390e23b1ec3d85d6a
Author:     Arthur Zamarin <arthurzam@gentoo.org>
AuthorDate: 2024-07-06 19:20:20 +0000
Commit:     Arthur Zamarin <arthurzam@gentoo.org>
CommitDate: 2024-07-06 19:20:20 +0000

    app-admin/cdist: PEP517, enable py3.13, fix missing doc dep
    
    Closes: https://bugs.gentoo.org/928845
    Closes: https://bugs.gentoo.org/922107
    Closes: https://bugs.gentoo.org/909859
    Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>

 app-admin/cdist/{cdist-7.0.0.ebuild => cdist-7.0.0-r1.ebuild} | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)